> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> List customers with optional pagination and search filtering.



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json get /api/v1/customers
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
paths:
  /api/v1/customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: List customers with optional pagination and search filtering.
      operationId: list_customers
      parameters:
        - name: order_by
          in: query
          description: >-
            Sort order. Format: `column.direction`. Allowed columns: `name`,
            `email`, `alias`, `created_at`. Direction: `asc` or `desc`. Default:
            `created_at.desc`.
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: Page number (0-indexed)
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: per_page
          in: query
          description: Number of items per page
          required: false
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: archived
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: List of customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    CustomerListResponse:
      type: object
      required:
        - data
        - pagination_meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        pagination_meta:
          $ref: '#/components/schemas/PaginationResponse'
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    Customer:
      type: object
      required:
        - id
        - name
        - invoicing_emails
        - currency
        - invoicing_entity_id
        - custom_taxes
      properties:
        alias:
          type:
            - string
            - 'null'
        billing_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        billing_email:
          type:
            - string
            - 'null'
        connected_account_id:
          type:
            - string
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        custom_taxes:
          type: array
          items:
            $ref: '#/components/schemas/CustomTaxRate'
        id:
          $ref: '#/components/schemas/CustomerId'
        invoicing_emails:
          type: array
          items:
            type: string
        invoicing_entity_id:
          $ref: '#/components/schemas/InvoicingEntityId'
        name:
          type: string
        phone:
          type:
            - string
            - 'null'
        shipping_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ShippingAddress'
        vat_number:
          type:
            - string
            - 'null'
    PaginationResponse:
      type: object
      required:
        - page
        - per_page
        - total_items
        - total_pages
      properties:
        page:
          type: integer
          format: int32
          minimum: 0
        per_page:
          type: integer
          format: int32
          minimum: 0
        total_items:
          type: integer
          format: int64
          minimum: 0
        total_pages:
          type: integer
          format: int32
          minimum: 0
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
    Address:
      type: object
      properties:
        city:
          type:
            - string
            - 'null'
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryCode'
        line1:
          type:
            - string
            - 'null'
        line2:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        zip_code:
          type:
            - string
            - 'null'
    Currency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWL
      examples:
        - EUR
    CustomTaxRate:
      type: object
      required:
        - tax_code
        - name
        - rate
      properties:
        name:
          type: string
        rate:
          type: string
        tax_code:
          type: string
    CustomerId:
      type: string
      format: MeteroidId
      examples:
        - cus_7n42DGM5Tflk9n8mt7Fhc7
    InvoicingEntityId:
      type: string
      format: MeteroidId
      examples:
        - ive_7n42DGM5Tflk9n8mt7Fhc7
    ShippingAddress:
      type: object
      required:
        - same_as_billing
      properties:
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        same_as_billing:
          type: boolean
    CountryCode:
      type: string
      format: CountryCode
      examples:
        - US
        - GB
        - FR
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````